JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.addons.removeDraft('x');
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.addons.remove_draft(
id="x",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Addons.RemoveDraft(
context.TODO(),
"x",
stigg.V1AddonRemoveDraftParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.addons.AddonRemoveDraftParams;
import io.stigg.models.v1.addons.AddonRemoveDraftResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
AddonRemoveDraftResponse response = client.v1().addons().removeDraft("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.addons.remove_draft("x")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Addons;
StiggClient client = new();
AddonRemoveDraftParams parameters = new() { ID = "x" };
var response = await client.V1.Addons.RemoveDraft(parameters);
Console.WriteLine(response);stigg v1:addons remove-draft \
--api-key 'My API Key' \
--id xcurl --request DELETE \
--url https://api.stigg.io/api/v1/addons/{id}/draft \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/addons/{id}/draft",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>"
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "CustomerNotFound"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Addons
Remove addon draft
Removes a draft version of an addon.
DELETE
/
api
/
v1
/
addons
/
{id}
/
draft
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.addons.removeDraft('x');
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.addons.remove_draft(
id="x",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Addons.RemoveDraft(
context.TODO(),
"x",
stigg.V1AddonRemoveDraftParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.addons.AddonRemoveDraftParams;
import io.stigg.models.v1.addons.AddonRemoveDraftResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
AddonRemoveDraftResponse response = client.v1().addons().removeDraft("x");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.addons.remove_draft("x")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Addons;
StiggClient client = new();
AddonRemoveDraftParams parameters = new() { ID = "x" };
var response = await client.V1.Addons.RemoveDraft(parameters);
Console.WriteLine(response);stigg v1:addons remove-draft \
--api-key 'My API Key' \
--id xAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
Required string length:
1 - 255Response
The ID of the addon whose draft was removed.
Response confirming the addon draft was removed.
Show child attributes
Show child attributes
Related topics
Remove plan draftCreate addon draftExpressionsRemove data-export destinationNo-code configuration in the Stigg app